Module org.apache.sis.storage
Package org.apache.sis.storage

# Class ResourceAlreadyExistsException

Object
Throwable
Exception
DataStoreException
ResourceAlreadyExistsException

All Implemented Interfaces:
  `Serializable`, `LocalizedException`

public class ResourceAlreadyExistsException extends DataStoreException
Thrown when a write operation cannot be performed because it would cause the replacement of an existing resource. Replacements can be performed only if an option such as `WritableGridCoverageResource​.CommonOption​.REPLACE` has been specified.

Since:
  1.2
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceAlreadyExistsException()`
  Creates an exception with no cause and no details message.
  `ResourceAlreadyExistsException(String message)`
  Creates an exception with the specified details message.
  `ResourceAlreadyExistsException(String message, Throwable cause)`
  Creates an exception with the specified details message and cause.

- ## Method Summary

  ### Methods inherited from class DataStoreException

  `getInternationalMessage, getLocalizedMessage, getMessage, initCause`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ResourceAlreadyExistsException

    public ResourceAlreadyExistsException()
    Creates an exception with no cause and no details message.

  - ### ResourceAlreadyExistsException

    public ResourceAlreadyExistsException(String message)
    Creates an exception with the specified details message.
    Parameters:
      `message` - the detail message.

  - ### ResourceAlreadyExistsException

    public ResourceAlreadyExistsException(String message, Throwable cause)
    Creates an exception with the specified details message and cause.
    Parameters:
      `message` - the detail message.
      `cause` - the cause for this exception.